Subject: RE: [External] : bug#46151: 28.0.50; Set revert-buffer-function in shell command output buffers

From: Drew Adams <[email-masked]>
Date: Sun, 31 Jan 2021 18:20:02 +0000

> Hm...  the `C-x' map is pretty heavily populated.  Let's see what's
> free...
> 
> C-x C-a
> C-x C-y
> 
> Wow, those are the only `C-x C-<something>' not bound of the
> alphabetical keys.  Neither seem extremely mnemonic for "revert"...
> 
> Perhaps `C-x C-a' for "aaargh, reload that file already!"

IMO, `C-x' should in general be left alone - left
for users and 3rd-party libraries.

Each time I look for something free on `C-x' (as
a user or for a library) I end up finding out that
there's some Emacs standard library that binds a
key I might have thought was free.  I have to load
standard libraries (Org, project) that I don't use,
just to see whether they diminish the `C-x' space etc.

I had a zillion keys bound on prefix key `C-x p'
(for Bookmark+), because that was free years ago.
Then you decided to give that prefix key to "Project" 
(saying explicitly, BTW that you "don't need" to pay
any heed to the fact that Drew uses that prefix key,
which is of course true).  And on and on it goes.
I choose to use prefix `C-x /' for zones.el, but
tomorrow I may find that some part of Emacs has been
given that key.

Users and 3rd-party libraries should really start to
take precedence now, IMHO.  Emacs should try not to
bind any more keys by default - starting with `C-x'.
And certainly for things like `revert-buffer', which
have survived for 35 years without a default binding.
YAGNI.

The days of virgin territory for pioneers to grab
are over. ;-)  And sometimes there are actually
indigenous 3rd parties already living there...